- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QDomCharacterData Class Reference

Search for all occurrences

## Detailed Description

Definition at line 416 of file qdom.h.

`#include <qdom.h>`

Inheritance diagram for QDomCharacterData:
[legend]

List of all members.

## Public Member Functions
| QDomCharacterData ()
| QDomCharacterData (const QDomCharacterData &x)
QDomCharacterData & | operator= (const QDomCharacterData &)
QString | substringData (unsigned long offset, unsigned long count)
void | appendData (const QString &arg)
void | insertData (unsigned long offset, const QString &arg)
void | deleteData (unsigned long offset, unsigned long count)
void | replaceData (unsigned long offset, unsigned long count, const QString &arg)
uint | length () const
QString | data () const
void | setData (const QString &)
QDomNode::NodeType | nodeType () const
## Friends
class | QDomDocument
class | QDomText
class | QDomComment
class | QDomNode

## Constructor & Destructor Documentation

QDomCharacterData | ( |  | ) |

QDomCharacterData | ( | const QDomCharacterData & | x | ) |

## Member Function Documentation

QDomCharacterData& operator= | ( | const QDomCharacterData & |  | ) |

QString substringData | ( | unsigned long | offset,
|  | unsigned long | count
| ) |  |

Search for all occurrences

void appendData | ( | const QString & | arg | ) |

Search for all occurrences

void insertData | ( | unsigned long | offset,
|  | const QString & | arg
| ) |  |

Search for all occurrences

void deleteData | ( | unsigned long | offset,
|  | unsigned long | count
| ) |  |

Search for all occurrences

void replaceData | ( | unsigned long | offset,
|  | unsigned long | count,
|  | const QString & | arg
| ) |  |

Search for all occurrences

uint length | ( |  | ) | const

Search for all occurrences

QString data | ( |  | ) | const

Search for all occurrences

void setData | ( | const QString & |  | ) |

Search for all occurrences

QDomNode::NodeType nodeType | ( |  | ) | const

Search for all occurrences

Reimplemented from QDomNode.

Reimplemented in QDomText, QDomComment, and QDomCDATASection.

## Friends And Related Function Documentation

friend class QDomDocument `[friend]`

Search for all occurrences

Reimplemented from QDomNode.

Reimplemented in QDomText, QDomComment, and QDomCDATASection.

Definition at line 443 of file qdom.h.

friend class QDomText `[friend]`

Search for all occurrences

Definition at line 444 of file qdom.h.

friend class QDomComment `[friend]`

Search for all occurrences

Definition at line 445 of file qdom.h.

friend class QDomNode `[friend]`

Search for all occurrences

Reimplemented in QDomText, QDomComment, and QDomCDATASection.

Definition at line 446 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData
QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData QDomCharacterData